/*****************************************************************************
 ***   $Source: /rcs/crcs/general/vlocale.h,v $
 ***   Checked int by: $Author: clement $
 ***   $Date: 1996/07/03 15:09:07 $
 ***   $Revision: 1.3 $
 *****************************************************************************
 ***									   ***
 *** 		 Copyright (c) 1994, Visual Edge Software Ltd.		   ***
 *** 									   ***
 ***   All rights reserved.  This notice is  intended  as  a  precaution   ***
 ***   against	inadvertent publication, and shall not be deemed to con-   ***
 ***   stitute an acknowledgment that publication has  occurred	 nor  to   ***
 ***   imply  any  waiver  of confidentiality.	The year included in the   ***
 ***   notice is the year of the creation of the work.			   ***
 *** 									   ***
 *****************************************************************************/

#ifndef VLOCALE_H
#  define VLOCALE_H

/*-----------------------------------------------------------------------
 * The sun4 standard header locale.h does not contain function 
 * prototypes that are compatible with C++. Therefore, on sun4
 * ensure the functions are prototyped correctly, on all other
 * platforms just include the standard header.
 * The CenterLine compiler on sun4 performs the same trick,
 * we do not need to do it again here.
 *-----------------------------------------------------------------------*/
#  if defined(sun4) && defined (__cplusplus) && !defined (__CLCC__)
/*----------------------------------------------------------------------
 * These defines will cause the prototypes generated by locale.h to
 * be for a set of non-existent and unused functions.
 * By later undefining them, the correct prototypes can be 
 * generated.
 *----------------------------------------------------------------------*/
#    define setlocale ______vsetlocale
#    define localeconv ______vlocaleconv
#    define localdtconv ______vlocaldtconv

#    include <locale.h>

#    undef setlocale
#    undef localeconv
#    undef localdtconv

     extern "C" char *	   setlocale( int category, const char *locale );
     extern "C" struct lconv *  localeconv( void );
#    ifndef _POSIX_SOURCE
        extern "C" struct dtconv * localdtconv();
#    endif

#  else /* !(sun4 || cplusplus) */
#    include <locale.h>
#  endif

#endif /* VLOCALE_H */
